<!DOCTYPE html>
<html>
<head>
  <title>Handlebars</title>
  <script src="handlebars-v4.7.6.js"></script>
</head>
<body>
 
<div id="contentDiv"></div>
 
<script id="the-template" type="text/x-handlebars-template">
 

 
example 1 <br />
{{#areEqual 1 2}}
  Numbers are equal
{{else}}
  Numbers are not equal
{{/areEqual}}<br />
 
example 2 <br/>
{{#if "isActive"}}
  <img src="left.svg" alt="Active">
{{else}}
  <img src="right.png" alt="Inactive">
{{/if}}
 
</script>
 
<script type="text/javascript">
 

var templateInfo = document.getElementById("the-template").innerHTML;
 

  var template = Handlebars.compile(templateInfo);
 


  Handlebars.registerHelper("areEqual", function(num1, num2, options){
    if(num1 === num2){
      return options.fn(this);
    } else {
      return options.inverse(this);
    }
  });
 

  Handlebars.registerHelper("if", function(data, options){
    if(data === "isActive"){
      return options.fn(this);
    } else {
      return options.inverse(this);
    }
  });
 

  var templateData = template({});
 
  document.getElementById('contentDiv').innerHTML += templateData;
 
</script>
 
 
</body>
</html>